Subject: Re: linux-next: build failure after merge of the scsi tree

From: Giridhar Malavali <[email-masked]>
Date: Mon, 29 Aug 2011 01:07:16 -0700

>On Mon, 2011-08-29 at 12:09 +1000, Stephen Rothwell wrote:
>> Hi James,
>> 
>> After merging the scsi tree, today's linux-next build (powerpc
>> ppc64_defconfig) failed like this:
>> 
>> drivers/scsi/qla2xxx/qla_nx.c: In function 'qla82xx_md_alloc':
>> drivers/scsi/qla2xxx/qla_nx.c:4815:2: error: implicit declaration of
>>function 'vmalloc'
>> drivers/scsi/qla2xxx/qla_nx.c:4815:14: warning: assignment makes
>>pointer from integer without a cast
>> drivers/scsi/qla2xxx/qla_nx.c: In function 'qla82xx_md_free':
>> drivers/scsi/qla2xxx/qla_nx.c:4845:3: error: implicit declaration of
>>function 'vfree'
>> 
>> Caused by commit b60bb5832c00 ("[SCSI] qla2xxx: Add support for ISP82xx
>> to capture dump (minidump) on failure").  Missing include of
>> linux/vmalloc.h.  See Rule 1 in Documentation/SubmitChecklist.
>> 
>> I have used the scsi tree from next-20110826 for today.
>
>Thanks for finding the problem.  I updated the commit with a simple fix
>and re-pushed.

Thanks James and Stephen for finding and fixing this problem. I will make
sure that such issues won't happen in future.

-- Giri

>James